Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.datatype
Class AbstractDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator

Direct Known Subclasses:
  BinaryDatatypeValidator, BooleanDatatypeValidator, DecimalDatatypeValidator, DoubleDatatypeValidator, ENTITYDatatypeValidator, FloatDatatypeValidator, IDDatatypeValidator, IDREFDatatypeValidator, NOTATIONDatatypeValidator, QNameDatatypeValidator, RecurringDurationDatatypeValidator, StringDatatypeValidator, TimeDurationDatatypeValidator, URIReferenceDatatypeValidator

public abstract class AbstractDatatypeValidator
extends java.lang.Object
implements DatatypeValidator, java.lang.Cloneable

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`AbstractDatatypeValidator()`

Method Summary
`abstract java.lang.Object` | `clone()`
`int` | `compare(java.lang.String value1, java.lang.String valu2)` Compares content in the Domain value vs.
`java.util.Hashtable` | `getFacets()` returns the datatype facet if any is set as a Hashtable
`abstract java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` Checks that "content" string is valid datatype.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDatatypeValidator

    public AbstractDatatypeValidator()

Method Detail

### validate

    public abstract java.lang.Object validate(java.lang.String content,
                                              java.lang.Object state)
                                       throws InvalidDatatypeValueException

  Checks that "content" string is valid datatype. If invalid a Datatype validation exception is thrown.
  Specified by:
    validate in interface DatatypeValidator

  Parameters:
    `content` - A string containing the content to be validated
    `derivedBylist` - Flag which is true when type is derived by list otherwise it it is derived by extension.
  Throws:
    throws - InvalidDatatypeException if the content is invalid according to the rules for the validators
    InvalidDatatypeValueException -
  See Also:
    `InvalidDatatypeValueException`

### clone

    public abstract java.lang.Object clone()
                                    throws java.lang.CloneNotSupportedException

  Overrides:
    clone in class java.lang.Object

### getFacets

    public java.util.Hashtable getFacets()

  returns the datatype facet if any is set as a Hashtable
  Specified by:
    getFacets in interface DatatypeValidator

  Returns:

### compare

    public int compare(java.lang.String value1,
                       java.lang.String valu2)

  Compares content in the Domain value vs. lexical value. e.g. If type is a float then 1.0 may be equivalent to 1 even tough both are lexically different.
  Specified by:
    compare in interface DatatypeValidator

  Parameters:
    `value1` -
    `valu2` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD